package kr.co.tadadang.user.native_bridge

import android.app.Activity
import android.webkit.WebView

interface HideIntroVCDelegate {
    fun hideIntroAction()
}

class HideIntro: _BaseBridge {
    override val cmd: String
        get() = "hideIntro"

    override fun startAction(activity: Activity?, webView: WebView?, data: String?, callback: String?) {
        if(activity != null && activity is HideIntroVCDelegate && webView != null) {
            activity.runOnUiThread {
                activity.hideIntroAction()
            }
        }
    }
}